### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-text-input/ecl-text-input.directive.ts`

### Extends

`ECLBaseDirective`

### Metadata

Selector | `input[eclTextInput]`

### Index

###### Properties
type
###### Methods
getCssClasses
###### Inputs
eclSize isInvalid class e2eAttr
###### HostBindings
attr.type class class.ecl-text-input--invalid
###### Accessors
cssClasses invalidState

### Constructor

`constructor(ngControl: NgControl)`
Parameters :
Name | Type | Optional
ngControl | `NgControl` | No

### Inputs

eclSize
Type : `string`
Default value : `'m'`

isInvalid
Type : `boolean`
Default value : `false`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

attr.type
Type : `string`
Default value : `'text'`

class
Type : `any`

class.ecl-text-input--invalid
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

type
Type : `string`
Default value : `'text'`
Decorators : `@HostBinding('attr.type')`

### Accessors

cssClasses
get `cssClasses()`

invalidState
get `invalidState()`

# results matching ""

# No results matching ""